curl --request GET \
--url https://api.themoviedb.org/3/movie/{movie_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/movie/{movie_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/movie/{movie_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.themoviedb.org/3/movie/{movie_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.themoviedb.org/3/movie/{movie_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.themoviedb.org/3/movie/{movie_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.themoviedb.org/3/movie/{movie_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"adult": false,
"backdrop_path": "/wgvc3PmjQGtYYDWaeuV867mnFDs.jpg",
"belongs_to_collection": null,
"budget": 90000000,
"genres": [
{
"id": 878,
"name": "Science Fiction"
},
{
"id": 28,
"name": "Action"
},
{
"id": 12,
"name": "Adventure"
}
],
"homepage": "https://www.sonypictures.com/movies/thefifthelement",
"id": 18,
"imdb_id": "tt0119116",
"origin_country": [
"FR"
],
"original_language": "fr",
"original_title": "Le Cinquième Élément",
"overview": "In 2257, a taxi driver is unintentionally given the task of saving a young girl who is part of the key that will ensure the survival of humanity.",
"popularity": 65.447,
"poster_path": "/fPtlCO1yQtnoLHOwKtWz7db6RGU.jpg",
"production_companies": [
{
"id": 9,
"logo_path": "/nda3dTUYdDrJ6rZqBpYvY865aDv.png",
"name": "Gaumont",
"origin_country": "FR"
}
],
"production_countries": [
{
"iso_3166_1": "FR",
"name": "France"
}
],
"release_date": "1997-05-02",
"revenue": 263920180,
"runtime": 126,
"spoken_languages": [
{
"english_name": "English",
"iso_639_1": "en",
"name": "English"
},
{
"english_name": "Swedish",
"iso_639_1": "sv",
"name": "svenska"
},
{
"english_name": "German",
"iso_639_1": "de",
"name": "Deutsch"
}
],
"status": "Released",
"tagline": "There is no future without it.",
"title": "The Fifth Element",
"video": false,
"vote_average": 7.553,
"vote_count": 10757
}Get movie details
This endpoint is used to get the details of a movie by its ID.
curl --request GET \
--url https://api.themoviedb.org/3/movie/{movie_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/movie/{movie_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/movie/{movie_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.themoviedb.org/3/movie/{movie_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.themoviedb.org/3/movie/{movie_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.themoviedb.org/3/movie/{movie_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.themoviedb.org/3/movie/{movie_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"adult": false,
"backdrop_path": "/wgvc3PmjQGtYYDWaeuV867mnFDs.jpg",
"belongs_to_collection": null,
"budget": 90000000,
"genres": [
{
"id": 878,
"name": "Science Fiction"
},
{
"id": 28,
"name": "Action"
},
{
"id": 12,
"name": "Adventure"
}
],
"homepage": "https://www.sonypictures.com/movies/thefifthelement",
"id": 18,
"imdb_id": "tt0119116",
"origin_country": [
"FR"
],
"original_language": "fr",
"original_title": "Le Cinquième Élément",
"overview": "In 2257, a taxi driver is unintentionally given the task of saving a young girl who is part of the key that will ensure the survival of humanity.",
"popularity": 65.447,
"poster_path": "/fPtlCO1yQtnoLHOwKtWz7db6RGU.jpg",
"production_companies": [
{
"id": 9,
"logo_path": "/nda3dTUYdDrJ6rZqBpYvY865aDv.png",
"name": "Gaumont",
"origin_country": "FR"
}
],
"production_countries": [
{
"iso_3166_1": "FR",
"name": "France"
}
],
"release_date": "1997-05-02",
"revenue": 263920180,
"runtime": 126,
"spoken_languages": [
{
"english_name": "English",
"iso_639_1": "en",
"name": "English"
},
{
"english_name": "Swedish",
"iso_639_1": "sv",
"name": "svenska"
},
{
"english_name": "German",
"iso_639_1": "de",
"name": "Deutsch"
}
],
"status": "Released",
"tagline": "There is no future without it.",
"title": "The Fifth Element",
"video": false,
"vote_average": 7.553,
"vote_count": 10757
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
A unique identifier for a movie
18
Query Parameters
A comma separated list of endpoints within this namespace, 20 items max.
"collections"
The language and region of the content, represented by an ISO 639-1 and ISO 3166-1 code combination (e.g, en-US for English, United States.). Defaults to en-US.
"en-US"
Response
Request successful
false
"/wgvc3PmjQGtYYDWaeuV867mnFDs.jpg"
90000000
Show child attributes
Show child attributes
[
{ "id": 878, "name": "Science Fiction" },
{ "id": 28, "name": "Action" },
{ "id": 12, "name": "Adventure" }
]
"https://www.sonypictures.com/movies/thefifthelement"
18
"tt0119116"
["FR"]
"fr"
"Le Cinquième Élément"
"In 2257, a taxi driver is unintentionally given the task of saving a young girl who is part of the key that will ensure the survival of humanity."
65.447
"/fPtlCO1yQtnoLHOwKtWz7db6RGU.jpg"
Show child attributes
Show child attributes
[
{
"id": 9,
"logo_path": "/nda3dTUYdDrJ6rZqBpYvY865aDv.png",
"name": "Gaumont",
"origin_country": "FR"
}
]
Show child attributes
Show child attributes
[{ "iso_3166_1": "FR", "name": "France" }]
"1997-05-02"
263920180
126
Show child attributes
Show child attributes
[
{
"english_name": "English",
"iso_639_1": "en",
"name": "English"
},
{
"english_name": "Swedish",
"iso_639_1": "sv",
"name": "svenska"
},
{
"english_name": "German",
"iso_639_1": "de",
"name": "Deutsch"
}
]
"Released"
"There is no future without it."
"The Fifth Element"
false
7.553
10757
